Wary Puppy 0.5.1

This is an experimental "retro" Puppy. Built from the same T2 core packages as Quirky, except for older Xorg (7.3+) and older kernel (in this build, 2.6.32.16).

The 2.6.32.x kernel is the latest that is designated as having "long term support", meaning that kernel developers will be upgrading it for a considerable time into the future.

The focus for Wary is old hardware. This special build with Xorg 7.3+ also has the older i810 driver from Xorg 7.2, and some latest drivers. It is those latest drivers that I would like to get feedback on, in particular for Nvidia and ATI.

This build does not have the commercial Nvidia Xorg driver, just the latest open source 'nv' driver -- which works great on my Nvidia card. Not so good with my Radeon card though (ATI includes Radeon, R128 and Mach64 hardware)

One great thing, this Wary does have the Xvesa driver to fall back on.

Get Wary from here:
http://distro.ibiblio.org/pub/linux/distributions/quirky/wary-051/

To find out about Wary-related developments, please read my recent blog posts.

Another point to note: although the packages were originally compiled in T2, this Wary now builds totally from PET packages.


Posted on 20 Sep 2010, 17:06


Comments:

Posted on 16 Aug 2010, 16:37 by BarryK
SM rendering is bad
Recent versions of SeaMonkey have exhibited some serious rendering problems. 01micko's site renders as totally scrambled:

http://users.tpg.com.au/01micko/01mickos_tools.html



Posted on 16 Aug 2010, 16:45 by BarryK
It is due to Intel driver
Well, that's interesting. My laptop has Intel video. I changed to Xvesa driver and 01micko's site renders OK!

Alright, I'm going to compile some other versions of the Intel driver to see if this can be fixed.

Wary currently has xf86-video-intel version 2.3.2, with patches from Lenny Debian.



Posted on 16 Aug 2010, 17:03 by wombat01
gxine
Barry I think you may have left gxine/gxineshell out of this build. It doesn't run and I can't find it with pfind, otherwise very good.


Posted on 16 Aug 2010, 17:13 by ozsouth
SM2.xx Xvesa Only for O1Micko site
Posting from Wary 051, old Toshiba laptop - tried SM2.04 & 2.01 - 01mickos site garbled in both with Xorg, but fine with Xvesa. Xorg OK in Quirky 1.2.



Posted on 16 Aug 2010, 17:39 by ozsouth
Radeon driver
Further to my post above, my card is ATI Radeon 9000. Has same problem as Intel with 01Micko's site.


Posted on 16 Aug 2010, 18:25 by BarryK
Gnome-mplayer
wombat01,
Oops, it is supposed to have Gnome-mplayer, somehow left that out.



Posted on 16 Aug 2010, 18:39 by gjuhasz
wary 5.1 problems
I use Xvesa under VirtualBox. Maybe this is the reason why I cannot configure non-US keyboard.
Neither mplayer nor ffmpeg start - report missing libs.
pupTelly does not play streams - maybe due to the same reasons.
Demo files in /usr/examples/video cannot be played.
I installed gxine but it plays only the mpg file from the video examples. Missing libschroedinger package reported.
Background image can be changed via backdrop only. Pwallpaper does not work.


Posted on 16 Aug 2010, 18:54 by 01micko
my site
Hmmm.. that's weird

I'm using Seamonkey 2.06 in Lupu, as I nearly always do and no probs, even edited that page with Composer after initially building it with Kompozer.

Downloading Wary shortly

Cheers


Posted on 16 Aug 2010, 19:34 by FeodorF
same problem - but
Hi Barry, hi Micko

I am using wary-030 with SM-206-pet(wary) and there is the same problem.

But if I start wary like this: F2 puppy pfix=ram then there is no problem to get onto mickos page.

regards FeodorF


Posted on 16 Aug 2010, 20:09 by perthie
Console Bug
When I open a console and press the up-arrow key to see previous commands, I get a window for PDF-Writer-Save-As!

It looks like Wary has been built with the "classic" SAMBA client tools and not the new "tng" package. This is a good thing, as all the usual functions work, including both new CUPS smb backend scripts.

If Wary becomes the standard retro version, there will be users who need it for their older hardware, but want to run a newer browser like Firefox. In which case, libdbus and libdbus-glib are required. Perhaps they could be included by default? I just dropped in Debian packages and Firefox worked.




Posted on 16 Aug 2010, 20:25 by perthie
Console Bug #2
This turns out to be a video driver issue. If I install Xvesa, I get the bug. Also, I don't get the initial welcome screen.

If I install Xorg, I don't get the bug. However, I can't use 1024x768 resolution with my ATI Radeon Xpress 200G card under Xorg. The screen just goes black.


Posted on 16 Aug 2010, 21:19 by perthie
Console Bug #3
FWIW, I went back to Wary 030 and it worked fine. But that version appears to use Vesa instead of XVesa.


Posted on 17 Aug 2010, 22:46 by gjuhasz
multimedia patch needed
I failed to resolve multimedia problems by installing different pets from the Quirky collection. Tried ffmpeg, mplayer, gnome-mplayer, gecko-mplayer, gxine one-by-one and in various combinations on different hardware. I would appreciate to see a multimedia patch or some hints.


Posted on 18 Aug 2010, 8:35 by wuxiandianzi
a bug ?
bash-3.00# locale
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
LANG=zh_CN.UTF-8
LC_CTYPE="zh_CN.UTF-8"
LC_NUMERIC="zh_CN.UTF-8"
LC_TIME="zh_CN.UTF-8"
LC_COLLATE=en_US
LC_MONETARY="zh_CN.UTF-8"
LC_MESSAGES="zh_CN.UTF-8"
LC_PAPER="zh_CN.UTF-8"
LC_NAME="zh_CN.UTF-8"
LC_ADDRESS="zh_CN.UTF-8"
LC_TELEPHONE="zh_CN.UTF-8"
LC_MEASUREMENT="zh_CN.UTF-8"
LC_IDENTIFICATION="zh_CN.UTF-8"
LC_ALL=
bash-3.00#



Posted on 18 Aug 2010, 9:34 by ttuuxxx
Wary Puppy 0.5.1
Hi Barry
I was reading the user responses to this release and looks like it has a few quirks in it, Maybe a quick update to Wary Puppy 0.5.2 might be in order, I have the next 5 days off work and if you release a update I'll have a good look at it, I'm really impressed with the overall size, You almost have it at the 100MB limit once again. I was thinking that puppy 6 could be compiled from scratch to get rid of the extra gnome deps that the bigger puppies have have like lucid, 130MB puppy is way over bloated, I have downloaded nor will I. Well not at this point 2.14X and 4 series both still work really well.
puppy 4.0 was 87MB
puppy 5.0 is 128mb, 41MB larger almost 50%, I personally think we can do better. I'm with you on the use of a older mature kernel and older Xorg, This really reduces the overall size of the distro, As for puppies future version 6, I would like to see Wary as puppy 6 default and Quirky as the big brother. If this is also the path you decide on, I would be dedicated to start compiling extra pets and support for version 0.5.2 when released.
ttuuxxx




Posted on 18 Aug 2010, 9:54 by Raffy
Go guys
Go, guys !!!

Gonna have a pup-xxx.sfs and pupsave again, can't we?



Posted on 18 Aug 2010, 15:54 by Ramachandran
Display Probem
My computer is not booting because of display problem. My computer MB is intel Q35 chipset. No other graphics card. Monitor is 1680x1050 (View Sonic LCD 19"). I tried both Xorg or Vesa, blank screen.


Posted on 18 Aug 2010, 17:18 by FeodorF
same problem - work around
Work around for Seamonkey-206

If the display mode is set up to 16-bit color depth instead of 24-bit color depth, then you access mickos page.


Posted on 19 Aug 2010, 11:27 by RudyT
Intel video report
"This special build with Xorg 7.3+ also has the older i810 driver from Xorg 7.2" finally worked on my old Panasonic ToughBook CF-T2. All the previous versions of Quirky and Wary I tried forced me to Xvesa, which was too slow. Please consider keeping this magical combination. Thanks!


Posted on 19 Aug 2010, 11:45 by RudyT
Intel video report (Part.2)
01micko's site renders as totally scrambled here as well.


Posted on 19 Aug 2010, 12:54 by james c
display

Fresh frugal install of Wary 0.5.1 on my old P3 test box.Default SeaMonkey browser,using xorg, and 01micko's site renders fine. Intel 810 onboard graphics.


Posted on 19 Aug 2010, 14:45 by tubby
pmusic
libdc1394.so.22 is missing seems to be needed for pmusic


Posted on 19 Aug 2010, 18:03 by gjuhasz
Multimedia problem resolved
I got a PM (from aarf, thanks) that called my attention to the first post at

http://www.murga-linux.com/puppy/viewtopic.php?t=40929

I installed mplayer svn-31792 (post 1.0rc3) pet package. It resolved all multimedia issues in Wary-051.
Xvesa is still problematic in spite of -kb option added. I thing it would be better if the user could select between forced Xvesa or forced vesa.


Posted on 20 Aug 2010, 14:25 by Terryphi
Root kernel bug fix
How about using the latest 2.6.32.24 kernel which fixes the root kernel bug which is getting a lot of publicity at the moment?


Posted on 21 Aug 2010, 8:38 by BarryK
Re Pwallpaper
Background image can be changed via backdrop only. Pwallpaper does not work.

Fixed. Yes, Pwallpaper is broken, have changed to Nathan's Wallpaper Setter.